# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HLabelArray1 Class Reference

`#include <TDataStd_HLabelArray1.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HLabelArray1 (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TDataStd_HLabelArray1 (const Standard_Integer Low, const Standard_Integer Up, const TDF_Label &V)
Standard_EXPORT void | Init (const TDF_Label &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TDF_Label &Value)
const TDF_Label & | Value (const Standard_Integer Index) const
TDF_Label & | ChangeValue (const Standard_Integer Index)
const TDataStd_LabelArray1 & | Array1 () const
TDataStd_LabelArray1 & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_LabelArray1 | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HLabelArray1::TDataStd_HLabelArray1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TDataStd_HLabelArray1::TDataStd_HLabelArray1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const TDF_Label & | V
| ) |

## Member Function Documentation

const TDataStd_LabelArray1& TDataStd_HLabelArray1::Array1 | ( |  | ) | const

TDataStd_LabelArray1& TDataStd_HLabelArray1::ChangeArray1 | ( |  | ) |

TDF_Label& TDataStd_HLabelArray1::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TDataStd_HLabelArray1::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TDataStd_HLabelArray1::Init | ( | const TDF_Label & | V | ) |

Standard_Integer TDataStd_HLabelArray1::Length | ( |  | ) | const

Standard_Integer TDataStd_HLabelArray1::Lower | ( |  | ) | const

void TDataStd_HLabelArray1::SetValue | ( | const Standard_Integer | Index,
|  | const TDF_Label & | Value
| ) |

Standard_Integer TDataStd_HLabelArray1::Upper | ( |  | ) | const

const TDF_Label& TDataStd_HLabelArray1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TDataStd_LabelArray1 TDataStd_HLabelArray1::myArray `[private]`

The documentation for this class was generated from the following file:

- TDataStd_HLabelArray1.hxx